/ comp / gb.qt / dialog / selectfont
Dialog.SelectFont (gb.qt)
Syntax

    STATIC FUNCTION SelectFont ( ) AS Boolean

Calls the font standard dialog.

Returns TRUE if the user clicked on the Cancel button, and FALSE if the user clicked on the OK button.

This example sets the Font of a TextArea to a font selected by the user. If the user cancels the dialog then the font is not updated.

### Examples

    PUBLIC SUB ButtonFont_Click()
      Dialog.Font = TextAreaEdit.Font
      IF Dialog.SelectFont() THEN RETURN
      TextAreaEdit.Font = Dialog.Font
    END